Index: trunk/doc/Flair/search/functions_e.js
===================================================================
--- trunk/doc/Flair/search/functions_e.js	(revision 35)
+++ trunk/doc/Flair/search/functions_e.js	(revision 36)
@@ -6,5 +6,5 @@
   ['objectindex',['objectIndex',['http://qt-project.org/doc/qt-4.8/qtextobject.html#objectIndex',0,'QTextObject::objectIndex()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectIndex',0,'QTextFormat::objectIndex()']]],
   ['objectinspector',['objectInspector',['http://qt-project.org/doc/qt-4.8/qdesignerformeditorinterface.html#objectInspector',0,'QDesignerFormEditorInterface']]],
-  ['objectname',['ObjectName',['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()']]],
+  ['objectname',['objectName',['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()'],['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()']]],
   ['objectownership',['objectOwnership',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#objectOwnership',0,'QDeclarativeEngine']]],
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
Index: trunk/include/FlairCore/IODevice.h
===================================================================
--- trunk/include/FlairCore/IODevice.h	(revision 35)
+++ trunk/include/FlairCore/IODevice.h	(revision 36)
@@ -3,4 +3,5 @@
 // CECILL-C License, Version 1.0.
 // %flair:license}
+// ---
 /*!
  * \file IODevice.h
Index: trunk/include/FlairCore/RotationMatrix.h
===================================================================
--- trunk/include/FlairCore/RotationMatrix.h	(revision 35)
+++ trunk/include/FlairCore/RotationMatrix.h	(revision 36)
@@ -18,4 +18,5 @@
 namespace core {
 class Euler;
+class Quaternion;
 
 /*! \class RotationMatrix
@@ -52,4 +53,19 @@
   */
   Euler ToEuler(void) const;
+
+  /*!
+  * \brief Convert to quaternion
+  *
+  * \param quaternion output quaternion
+  */
+  void ToQuaternion(Quaternion &quaternion) const;
+
+  /*!
+  * \brief Convert to quaternion
+  *
+  * \return quaternion
+  */
+  Quaternion ToQuaternion(void) const;
+
   /*!
   * \brief matrix
Index: trunk/include/FlairSensorActuator/Gx3_25_imu.h
===================================================================
--- trunk/include/FlairSensorActuator/Gx3_25_imu.h	(revision 35)
+++ trunk/include/FlairSensorActuator/Gx3_25_imu.h	(revision 36)
@@ -44,4 +44,5 @@
     AccelerationAngularRateAndOrientationMatrix =
         0xc8, /*!< Acceleration, angular rate and orientation matrix */
+    Quaternion = 0xdf, /*!< Quaternion */
   };
 
Index: trunk/include/FlairSensorActuator/Imu.h
===================================================================
--- trunk/include/FlairSensorActuator/Imu.h	(revision 35)
+++ trunk/include/FlairSensorActuator/Imu.h	(revision 36)
@@ -104,4 +104,12 @@
   gui::Tab *GetPlotTab(void) const;
 
+  /*!
+  * \brief Get OneAxisRotation
+  *
+  * \return fixed rotation of the imu
+  */
+  core::OneAxisRotation *GetOneAxisRotation(void) const;
+
+
 protected:
   /*!
Index: trunk/include/FlairSimulator/FixedCamera.h
===================================================================
--- trunk/include/FlairSimulator/FixedCamera.h	(revision 35)
+++ trunk/include/FlairSimulator/FixedCamera.h	(revision 36)
@@ -34,5 +34,5 @@
   float sat(float value);
   irr::core::position2df RotateStart;
-  irr::core::vector3df rotation;
+  irr::core::vector3df rotation,target;
   bool Rotating;
   float rotateSpeed;
Index: trunk/scripts/flair_compile_all.sh
===================================================================
--- trunk/scripts/flair_compile_all.sh	(revision 35)
+++ trunk/scripts/flair_compile_all.sh	(revision 36)
@@ -31,11 +31,6 @@
 		cd $1/$2
 
-		if [ -f cmake_codeblocks.sh ]; then
-			green_echo "only configuring it for $(uname -m)"
-			./cmake_codeblocks.sh > /dev/null
-		else
-			rm -f build_arm/CMakeCache.txt
-			$FLAIR_ROOT/flair-dev/scripts/cmake_codeblocks.sh > /dev/null
-		fi
+		rm -f build_arm/CMakeCache.txt
+		$FLAIR_ROOT/flair-dev/scripts/cmake_codeblocks.sh > /dev/null
 	
 		check_error
@@ -46,12 +41,10 @@
 
 function cross_compile () {
-	if ! [ -f  $1/$2/cmake_codeblocks.sh ]; then
-		green_echo "Cross compiling and installing $2"
-		cd $1/$2/build_arm
-		if [ "$from_scratch" = "yes" ]; then make clean > /dev/null; fi
-		make -j$NB_THREADS > /dev/null
-		check_error
-		make install
-	fi
+	green_echo "Cross compiling and installing $2"
+	cd $1/$2/build_arm
+	if [ "$from_scratch" = "yes" ]; then make clean > /dev/null; fi
+	make -j$NB_THREADS > /dev/null
+	check_error
+	make install
 }
 
